<?php

namespace Drupal\tmgmt_extension_suit\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * TMGMT Extension Suit settings form.
 */
class TmgmtExtensionSuitSettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      'tmgmt_extension_suit.settings',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'tmgmt_extension_suit_settings_form';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {

    $config = $this->config('tmgmt_extension_suit.settings');

    $form['do_track_changes'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Track changes of the translatable entities.'),
      '#description' => 'If checked, all the entities that once were submitted for translation, would be re-sent automatically.',
      '#default_value' => $config->get('do_track_changes'),
      '#required' => FALSE,
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $config = $this->config('tmgmt_extension_suit.settings');
    $config
      ->set('do_track_changes', $form_state->getValue('do_track_changes'));

    $config->save();

    parent::submitForm($form, $form_state);
  }

}
